Bug 220812 - XServer dies when docked notebook lid is opened
XServer dies when docked notebook lid is opened
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-27 07:57 EST by Andreas Thienemann
Modified: 2008-06-16 21:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:15:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log schowing the problem. (72.51 KB, text/plain)
2006-12-27 07:57 EST, Andreas Thienemann
no flags Details
xorg.conf as it is currently running. (2.99 KB, application/octet-stream)
2006-12-27 16:49 EST, Andreas Thienemann
no flags Details
Xorg logfile from startup with no xorg.conf file (66.21 KB, text/plain)
2006-12-28 10:08 EST, Andreas Thienemann
no flags Details
Log from the crashing server under f7 (108.85 KB, text/plain)
2007-06-19 15:32 EDT, Andreas Thienemann
no flags Details
Crashing Server with the intel_drv.so driver (71.81 KB, text/plain)
2007-06-19 16:04 EDT, Andreas Thienemann
no flags Details

  None (edit)
Description Andreas Thienemann 2006-12-27 07:57:23 EST
Description of problem:
When opening the hp nx5000 notebook lid/opening the display on a notebook docked
with the port replicator basic or the advanced docking station from hp, the
xserver dies and gets sequently restarted by gdm.

Version-Release number of selected component (if applicable):
xorg-x11 7.0-2
xorg-x11-drv-i810 1.4.1.3-3.1

How reproducible:
Always

Steps to Reproduce:
1. Dock notebook.
2. Close the lid.
3. Open the lid.
4. Switch from he external screen to the notebook screen by pressing Fn-F4. This
is necessary as the notebook switches the display to the external monitor by
default when docked.
5. Watch the screen flicker and wait for the new xserver process to start.
  
Actual results:
xserver dies.

Expected results:
xserver lives and continues to display the running session.

Additional info:

00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated
Graphics Device (rev 02)

The x11 log is attached. If you need any other info, I'll gladly try to supply it.

The interesting part of the log could be:
(II) I810(0): VESA VBE DDC unkown failure 512
(EE) I810(0): Set VBE Mode failed!

Fatal server error:
EnterVT failed for screen 0
Comment 1 Andreas Thienemann 2006-12-27 07:57:23 EST
Created attachment 144399 [details]
Xorg log schowing the problem.
Comment 2 Matěj Cepl 2006-12-27 16:29:26 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) to the bug report
as individual uncompressed file attachment using the bugzilla file attachment
link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Andreas Thienemann 2006-12-27 16:49:10 EST
Created attachment 144424 [details]
xorg.conf as it is currently running.
Comment 4 Andreas Thienemann 2006-12-28 10:07:03 EST
When trying to run the webserver in autodetect mode by deleting xorg.conf the
server cannot start as no input device is defined.

I attached the startup log nevertheless, as the detected video card should be
included in the log output.
Comment 5 Andreas Thienemann 2006-12-28 10:08:01 EST
Created attachment 144466 [details]
Xorg logfile from startup with no xorg.conf file
Comment 6 Adam Jackson 2007-04-10 18:43:33 EDT
Does this work any better with FC6 or F7test3 or later?
Comment 7 Andreas Thienemann 2007-04-11 16:00:18 EDT
(In reply to comment #6)
> Does this work any better with FC6 or F7test3 or later?

Don't know. I haven't installed FC6 or FC7 yet on the box. Will do and let you know.
Comment 8 Adam Jackson 2007-05-03 15:13:25 EDT
(In reply to comment #7)

> Don't know. I haven't installed FC6 or FC7 yet on the box. Will do and let you
know.

Fair enough.  Moving back to NEEDINFO until then.
Comment 9 Andreas Thienemann 2007-06-19 15:32:07 EDT
Created attachment 157410 [details]
Log from the crashing server under f7
Comment 10 Andreas Thienemann 2007-06-19 15:33:17 EDT
Okay, I finally came around to updating my notebook to fedora 7.

Unfortunately the problem still persists with the current
xorg-x11-drv-i810-2.0.0-3 driver.

I attached a new log from the crashed server and reassigned the bug to the f7
release.
Comment 11 Andreas Thienemann 2007-06-19 16:04:29 EDT
Created attachment 157413 [details]
Crashing Server with the intel_drv.so driver

Running the intel driver instead of the i810 results in the notebook completely
locking up when opening the lid again. Background light is completely off and
cannot be restored by repeatedly pressing the lid-sensor.
Pinging the machine via the network fails as well.
Comment 12 Bug Zapper 2008-05-14 08:05:59 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2008-06-16 21:15:31 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.